<?php

require_once "../../../app/model/db.class.php";


if ($_REQUEST['accion']=='listado'){

    $id1=$_REQUEST['id1'];
    $id2=$_REQUEST['id2'];

    $tabla=$_REQUEST['tabla'];
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $query=$obj->consulta("select codigo,descripcion from ".$tabla." order by  orden asc ;");
    $obj->disconnect();

    $cadena="<table class='hovertable1' border='0' cellspacing='0' cellpadding='0' width='100%'>";
   
    while($row = $obj->fetch_assoc($query)) {
  
      $cadena.="<tr>";
      $cadena.="<td align='center'> <img id='elem1'  class='confirmar' src='imagenes/boton.png' onClick='mostrar_lista(\"".$id1."\",\"".$id2."\",\"".$row['codigo']."\",\"".($row['descripcion'])."\");' height='20' width='30' alt='Seleccionar' title='Seleccionar'></td>";
      $cadena.="<td>".$row['codigo']."</td><td>".($row['descripcion'])."</td></tr>";
    }
    $cadena.="</table>";

    echo $cadena;

}


if ($_REQUEST['accion']=='listadograd'){

    $id1=$_REQUEST['id1'];
    $id2=$_REQUEST['id2'];

    $sede=$_REQUEST['sede'];
    $jornada=$_REQUEST['jornada'];
 
    if($sede=='*'){
        $v1="like '%'";
    }else{
        $v1="='".$sede."'";
    }
    
    if($jornada=='*'){
        $v2="like '%'";
    }else{
        $v2="='".$jornada."'";
    }
    
   $tabla=$_REQUEST['tabla'];
   
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");

   //$query=$obj->consulta("select codigo,descripcion from ".$tabla." order by  orden asc ;");
     $query=$obj->consulta( "select grados.codigo, grados.descripcion from  ".$tabla." inner 
        join cursos on grados.codigo=cursos.grado where cursos.sede ".$v1." and jornada ".$v2." group by grados.codigo order by grados.orden asc;"  );
     $obj->disconnect();
     
     $n=$obj->numero_de_filas($query);
     
    if($n==0){
        echo "no";
    }else{  

    $cadena="<table class='hovertable1' border='0' cellspacing='0' cellpadding='0' width='100%'>";

    while($row = $obj->fetch_assoc($query)) {

      $cadena.="<tr>";
      $cadena.="<td align='center'> <img id='elem1'  class='confirmar' src='imagenes/boton.png' onClick='mostrar_lista(\"".$id1."\",\"".$id2."\",\"".$row['codigo']."\",\"".($row['descripcion'])."\");' height='20' width='30' alt='Seleccionar' title='Seleccionar'></td>";
      $cadena.="<td>".$row['codigo']."</td><td>".($row['descripcion'])."</td></tr>";
    }
    $cadena.="</table>";

    echo $cadena;
    }

}




if ($_POST['accion']=='al_salir'){

    $tabla=$_POST['tabla'];
    $codigo=$_POST['codigo'];
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $query=$obj->consulta("select codigo,descripcion from ".$tabla." where codigo='".$codigo."'");
    
    $n=$obj->numero_de_filas($query);
    $obj->disconnect();

    $row = $obj->fetch_assoc($query);

    if ($n>0){
        $cadena=($row['descripcion']);
    }
    else{
        $cadena="0";
    }

    echo $cadena;
}



if ($_POST['accion']=='al_salir_grad'){

    $tabla=$_POST['tabla'];
    $codigo=$_POST['codigo'];
    $sede=$_REQUEST['sede'];
    $jornada=$_REQUEST['jornada'];
 
    if($sede=='*'){
        $v1="like '%'";
    }else{
        $v1="='".$sede."'";
    }
    
    if($jornada=='*'){
        $v2="like '%'";
    }else{
        $v2="='".$jornada."'";
    }
    
    
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");

//    $query=$obj->consulta("select codigo,descripcion from ".$tabla."  where  and sede ".$v1." and jornada ".$v2." order by  orden asc ;");
    $query=$obj->consulta("select grados.codigo, grados.descripcion from  ".$tabla." inner 
    join cursos on grados.codigo=cursos.grado where grados.codigo='".$codigo."' and cursos.sede ".$v1." and jornada ".$v2." group by grados.codigo order by grados.orden asc;"  );

    
    
    $n=$obj->numero_de_filas($query);
    $obj->disconnect();
    
    

    $row = $obj->fetch_assoc($query);

    if ($n>0){
        $cadena=($row['descripcion']);
    }
    else{
        $cadena="0";
    }

    echo $cadena;
}

?>
